import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		rule_id: commonLogic.appcommonhandle("规则标识",null),
		rule_name: commonLogic.appcommonhandle("名称",null),
		group: commonLogic.appcommonhandle("规则分组",null),
		business_cat: commonLogic.appcommonhandle("业务类别",null),
		model_id: commonLogic.appcommonhandle("模型标识",null),
		model_name: commonLogic.appcommonhandle("模型",null),
		cfg: commonLogic.appcommonhandle("配置",null),
		field_set: commonLogic.appcommonhandle("属性集合",null),
		memo: commonLogic.appcommonhandle("备注",null),
		rule_code: commonLogic.appcommonhandle("规则码",null),
		cus_tag: commonLogic.appcommonhandle("自定义",null),
		cond: commonLogic.appcommonhandle("条件",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		system_id: commonLogic.appcommonhandle("系统标识",null),
	},
		views: {
			gridview: {
				caption: commonLogic.appcommonhandle("规则",null),
				title: commonLogic.appcommonhandle("规则表格视图",null),
			},
			pickupview: {
				caption: commonLogic.appcommonhandle("规则",null),
				title: commonLogic.appcommonhandle("规则数据选择视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("规则",null),
				title: commonLogic.appcommonhandle("规则选择表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("规则",null),
				title: commonLogic.appcommonhandle("规则编辑视图",null),
			},
			mpickupview: {
				caption: commonLogic.appcommonhandle("规则",null),
				title: commonLogic.appcommonhandle("规则数据多项选择视图",null),
			},
		},
		main_form: {
			details: {
				tabpage1: commonLogic.appcommonhandle("规则设置",null), 
				tabpage2: commonLogic.appcommonhandle("属性集合",null), 
				tabpanel1: commonLogic.appcommonhandle("",null), 
				group1: commonLogic.appcommonhandle("规则基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("规则标识",null), 
				srfmajortext: commonLogic.appcommonhandle("名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				rulecode: commonLogic.appcommonhandle("规则码",null), 
				rulename: commonLogic.appcommonhandle("名称",null), 
				modelname: commonLogic.appcommonhandle("模型",null), 
				businesscat: commonLogic.appcommonhandle("业务类别",null), 
				rulegroup: commonLogic.appcommonhandle("规则分组",null), 
				cfg: commonLogic.appcommonhandle("配置",null), 
				fieldset: commonLogic.appcommonhandle("属性集合",null), 
				cond: commonLogic.appcommonhandle("条件",null), 
				memo: commonLogic.appcommonhandle("备注",null), 
				custag: commonLogic.appcommonhandle("自定义",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
				modelid: commonLogic.appcommonhandle("模型标识",null), 
				formitem: commonLogic.appcommonhandle("",null), 
				systemid: commonLogic.appcommonhandle("系统标识",null), 
				ruleid: commonLogic.appcommonhandle("规则标识",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				ruleid: commonLogic.appcommonhandle("规则标识",null),
				rulecode: commonLogic.appcommonhandle("规则码",null),
				rulename: commonLogic.appcommonhandle("名称",null),
				rulegroup: commonLogic.appcommonhandle("规则分组",null),
				memo: commonLogic.appcommonhandle("备注",null),
				businesscat: commonLogic.appcommonhandle("业务类别",null),
				modelname: commonLogic.appcommonhandle("模型",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
				createdate: commonLogic.appcommonhandle("建立时间",null),
				cond: commonLogic.appcommonhandle("条件",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_rulename_like: commonLogic.appcommonhandle("名称(文本包含(%))",null), 
				n_modelname_like: commonLogic.appcommonhandle("模型(文本包含(%))",null), 
				n_rulecode_like: commonLogic.appcommonhandle("规则码(%)",null), 
				n_rulegroup_like: commonLogic.appcommonhandle("规则分组(文本包含(%))",null), 
				n_memo_like: commonLogic.appcommonhandle("备注(文本包含(%))",null), 
				n_cond_like: commonLogic.appcommonhandle("条件(文本包含(%))",null), 
				n_systemid_eq: commonLogic.appcommonhandle("系统标识(=)",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
		editviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("删除并关闭",null),
				tip: commonLogic.appcommonhandle("删除并关闭",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem12: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem14: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("保存并新建",null),
				tip: commonLogic.appcommonhandle("保存并新建",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("第一个记录",null),
				tip: commonLogic.appcommonhandle("第一个记录",null),
			},
			tbitem24: {
				caption: commonLogic.appcommonhandle("上一个记录",null),
				tip: commonLogic.appcommonhandle("上一个记录",null),
			},
			tbitem25: {
				caption: commonLogic.appcommonhandle("下一个记录",null),
				tip: commonLogic.appcommonhandle("下一个记录",null),
			},
			tbitem26: {
				caption: commonLogic.appcommonhandle("最后一个记录",null),
				tip: commonLogic.appcommonhandle("最后一个记录",null),
			},
			tbitem22: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;